Part3 Developers

Email get

GET /email/{mailerMessageId}

Get one email by ID

GET
/email/{mailerMessageId}
AuthorizationBearer <token>

In: header

Path Parameters

mailerMessageId*string

Mailer message ID from a prior emails_search / emails_timeline result.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.part3.io/v1/email/mm_8a1b2c3d4e5f60718293a4b5c6d7e8f9"
{
  "mailerMessageId": "mm_8a1b2c3d4e5f60718293a4b5c6d7e8f9",
  "recipientEmail": "marcus@example.com",
  "recipientName": "Marcus Chen",
  "recipientUid": "user_3b2a1c9d8e",
  "senderEmail": "anika@example.com",
  "senderName": "Anika Patel",
  "senderUid": "user_99a8b7c6d5",
  "actionType": "IssueDocument",
  "documentId": "doc_2a3b4c5d6e",
  "projectId": "proj_5f9a3c2e8b",
  "projectName": "Maple Heights Tower",
  "sentAt": "2026-04-22T09:14:01Z",
  "createdAt": "2026-04-22T09:14:00Z",
  "activityTitle": "RFI-014 — slab thickness clarification",
  "sentToMailer": "2026-04-22T09:14:00Z",
  "send": "2026-04-22T09:14:01Z",
  "delivery": "2026-04-22T09:14:08Z",
  "bounce": null,
  "bounceType": null,
  "bounceSubtype": null,
  "firstOpened": "2026-04-22T11:02:33Z",
  "lastOpened": "2026-04-22T16:45:11Z",
  "notSent": null,
  "notSentReason": null
}
{
  "error": "recipient query parameter is required"
}
{
  "error": "recipient query parameter is required"
}